Kerbal Space Program - Bug #3411

Framerate / memory usage with time warping
10/30/2014 08:53 PM - Riddla

Status: Closed Start date: 10/30/2014
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.25 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

My save game was waiting for a window to transfer back from Duna (on a very important rescue Jeb mission!) At time of initial
loading the game was using roughly 2.7Gb of RAM. After time warping over 1Y in-game time at 10,000X speed, bringing the speed
back down to 1X caused my framerate to tank to ~2fps, whether in orbital map view or viewing the craft itself. Speeding up time
again improved the framerate again, see video here: https://www.youtube.com/watch?v=8RewdrX_ QZc

| saved, exited to main menu and continued the game from there, at which point | experienced this stuttering issue which | have
noticed after 2h+ play sessions, video here: https://www.youtube.com/watch?v=vHurvg8Lo74

At this point | checked in task manager and the game was eating up 3.5Gb of RAM out of my 8Gb total, at this point it had been
running for just over an hour. | exited the game again with the intention of restarting the program but it crashed on the way back to
the main menu, please see attached crash.dmp and error.log for details on that particular crash.

System spec: i7 2600k, 8GB 1333mhz DDRS3, twin AMD R9 280X, Windows 7.

Mods installed: FAR, MechJeb, B9, TAC fuel balancer, Part catalogue. (All most recent versions, compatible with 0.25.)

History

#1 - 07/27/2015 05:56 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#2 - 07/17/2016 09:31 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/09/2016 11:11 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

Files
error.log 65.4 KB 10/30/2014 Riddla
report.ini 2 Bytes 10/30/2014 Riddla
